# Uses of Interface
org.eclipse.birt.report.engine.content.IStyle

Packages that use IStyle
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IStyle in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IStyle
Modifier and Type
Method
Description
`IStyle`
IReportContent.`createStyle()`
create a style.
`IStyle`
IReportContent.`findStyle(String styleClass)`
find the named style.
`IStyle`
IStyledElement.`getComputedStyle()`
Get the computed style of the element
`IStyle`
IPageContent.`getContentComputedStyle()`
Deprecated.
use getPageBody().getComputedStyle()
`IStyle`
IPageContent.`getContentStyle()`
Deprecated.
use getPageBody().getStyle()
`IStyle`
IColumn.`getInlineStyle()`
`IStyle`
IContent.`getInlineStyle()`
Get the inline style
`IStyle`
IStyledElement.`getStyle()`
Get the style of the element
Methods in org.eclipse.birt.report.engine.content with parameters of type IStyle
Modifier and Type
Method
Description
`void`
IColumn.`setInlineStyle(IStyle style)`
`void`
IContent.`setInlineStyle(IStyle style)`
Set the inline style
`void`
IStyle.`setProperties(IStyle style)`
Set the properties style based

## Uses of IStyle in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension with parameters of type IStyle
Modifier and Type
Method
Description
`void`
IReportItemPresentation.`setDynamicStyle(IStyle style)`
Deprecated.
implement #init(IReportItemPresentationInfo) instead.